Subject: sends non-printable characters to the terminal in error message

From: Vincent Lefevre <[email-masked]>
Date: Wed, 13 Aug 2025 16:49:59 +0200

gzip can send non-printable characters to the terminal in its error
message. This is bad because escape sequences and control characters
can have unpredictable consequences in the terminal.

For instance,

$ touch "$(printf "file\e[H\e[c\n\b")"
$ gunzip file*

makes xterm crash with reverseWrap enabled.

Note: The end user is not necessary the cause of such of file name,
which may come from a downloaded archive or from a bug in some
software.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Pascaline project (LIP, ENS-Lyon)